OGRE: Ogre::Bullet::KinematicMotionSimple Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Bullet::KinematicMotionSimple Class Reference
Optional Components » Bullet

helper class for kinematic body motion More...

`#include <OgreBullet.h>`

Inheritance diagram for Ogre::Bullet::KinematicMotionSimple:
[legend]

## Public Member Functions
| KinematicMotionSimple (btPairCachingGhostObject *ghostObject, Node *node)
| ~KinematicMotionSimple ()
virtual void | debugDraw (btIDebugDraw *debugDrawer) override
void | enableManualNarrowPhase (bool enable)
| Enable manual narrow phase.
int | getManifolds () const
bool | isManualNarrowPhaseEnabled () const
| Report manual narrow phase enabled status.
bool | isOnFloor () const
bool | isPenetrating () const
bool | recoverFromPenetration (btCollisionWorld *collisionWorld)
virtual void | updateAction (btCollisionWorld *collisionWorld, btScalar deltaTimeStep) override

## Detailed Description

helper class for kinematic body motion

## Constructor & Destructor Documentation

## ◆ KinematicMotionSimple()

Ogre::Bullet::KinematicMotionSimple::KinematicMotionSimple | ( | btPairCachingGhostObject * | ghostObject,
|  | Node * | node )

## ◆ ~KinematicMotionSimple()

Ogre::Bullet::KinematicMotionSimple::~KinematicMotionSimple | ( |  | ) |

## Member Function Documentation

## ◆ recoverFromPenetration()

bool Ogre::Bullet::KinematicMotionSimple::recoverFromPenetration | ( | btCollisionWorld * | collisionWorld | ) |

## ◆ updateAction()

virtual void Ogre::Bullet::KinematicMotionSimple::updateAction | ( | btCollisionWorld * | collisionWorld,
|  | btScalar | deltaTimeStep )
| overridevirtual

## ◆ debugDraw()

virtual void Ogre::Bullet::KinematicMotionSimple::debugDraw | ( | btIDebugDraw * | debugDrawer | ) |
| overridevirtual

## ◆ isOnFloor()

bool Ogre::Bullet::KinematicMotionSimple::isOnFloor | ( |  | ) | const
| inline

## ◆ isPenetrating()

bool Ogre::Bullet::KinematicMotionSimple::isPenetrating | ( |  | ) | const
| inline

## ◆ getManifolds()

int Ogre::Bullet::KinematicMotionSimple::getManifolds | ( |  | ) | const
| inline

## ◆ enableManualNarrowPhase()

void Ogre::Bullet::KinematicMotionSimple::enableManualNarrowPhase | ( | bool | enable | ) |
| inline

Enable manual narrow phase.

Parameters

  enable | if enabled

## ◆ isManualNarrowPhaseEnabled()

bool Ogre::Bullet::KinematicMotionSimple::isManualNarrowPhaseEnabled | ( |  | ) | const
| inline

Report manual narrow phase enabled status.

The documentation for this class was generated from the following file:

- OgreBullet.h